## PkError

PkError — ErrorCode object

## Functions

PkError * | pk_error_new ()
PkErrorEnum | pk_error_get_code ()
const gchar * | pk_error_get_details ()

## Properties

PkErrorEnum | code | Read / Write
gchar * | details | Read / Write

## Object Hierarchy

        GObject
        ╰── PkSource
            ╰── PkError

## Description

This GObject represents a error_code from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_error_new ()

    PkError *
    pk_error_new (void);

#### Returns

a new PkError object.

Since: 0.5.5

### pk_error_get_code ()

    PkErrorEnum
    pk_error_get_code (PkError *error_code);

Since: 0.5.5

### pk_error_get_details ()

    const gchar *
    pk_error_get_details (PkError *error_code);

Since: 0.5.5

## Types and Values

## Property Details

### The `“code”` property

      “code”                     PkErrorEnum

Flags: Read / Write

Default value: PK_ERROR_ENUM_UNKNOWN

Since: 0.5.5

### The `“details”` property

      “details”                  gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.5